eliom-distillery(1)

NAME
eliom-distillery - Scaffolding for your Eliom-projects.

SYNOPSIS
eliom-distillery -dir eliom-distillery -name name [ -template <template> ] [ -target-directory <dir> ]

DESCRIPTION
This program generates the scaffold for your Eliom application from a template. Currently, it only supports a very simple template named "basic", but later versions will include more comprehensive templates!

Please refer to the generated README for more information on how to work with the project.

The manual on the web contains more information: http://ocsigen.org/eliom/manual/workflow-distillery.

OPTIONS

-dir
    Display the directory where templates are installed.

-name name
    The name of project to be generated. Note well, that this must be a valid name for a compilation unit.

-template template
    The template for the project. Currently, basic is the only available template.

-target-directory dir
    Generated the project in directory <dir>. name is used by default. eliom-distillery will create it if it doesn't already exist.

SEE ALSO
eliomc(1).

AUTHOR
eliom-distillery is part of the Ocsigen-project, and written by Benedikt Becker.